/*******************************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package org.eclipse.wtp.releng.tools.component.adopters;


import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

public class References
{
  private Map classRefs;
  private String name;
  private String includes;
  private String excludes;
  private String includePlugins;
  private String excludePlugins;

  public Collection getClassRefs()
  {
    if (classRefs != null)
      return new ArrayList(classRefs.values());
    else
      return new ArrayList(0);
  }

  public ClassRef getClassRef(String name)
  {
    if (classRefs != null)
      return (ClassRef)classRefs.get(name);
    else
      return null;
  }

  public void addClassRef(ClassRef classRef)
  {
    if (classRefs == null)
      classRefs = new HashMap();
    classRefs.put(classRef.getName(), classRef);
  }

  public String getName()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public String getExcludes()
  {
    return excludes;
  }

  public void setExcludes(String excludes)
  {
    this.excludes = excludes;
  }

  public String getIncludes()
  {
    return includes;
  }

  public void setIncludes(String includes)
  {
    this.includes = includes;
  }

  public String getExcludePlugins()
  {
    return excludePlugins;
  }

  public void setExcludePlugins(String excludePlugins)
  {
    this.excludePlugins = excludePlugins;
  }

  public String getIncludePlugins()
  {
    return includePlugins;
  }

  public void setIncludePlugins(String includePlugins)
  {
    this.includePlugins = includePlugins;
  }

  public String toString()
  {
    StringBuffer sb = new StringBuffer();
    sb.append("<references name=\"");
    sb.append(getName());
    sb.append("\" includes=\"");
    sb.append(getIncludes());
    sb.append("\" excludes=\"");
    sb.append(getExcludes());
    sb.append("\" includePlugins=\"");
    sb.append(getIncludePlugins());
    sb.append("\" excludePlugins=\"");
    sb.append(getExcludePlugins());
    sb.append("\">");
    for (Iterator it = getClassRefs().iterator(); it.hasNext();)
      sb.append(it.next().toString());
    sb.append("</references>");
    return sb.toString();
  }
}