<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<body>
				<table border="1">
					<tr>
						<th>Name</th>
						<th>Reference count</th>
						<th>Subclass count</th>
						<th>Implement count</th>
						<th>Instantiate count</th>
					</tr>
					<xsl:for-each select="references/class">
						<xsl:sort select="@name"/>
						<xsl:apply-templates select="." />
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="class">
		<tr>
			<td><b><xsl:value-of select="@name"/></b></td>
			<td><xsl:value-of select="@ref"/></td>
			<td><xsl:value-of select="@subclass"/></td>
			<td><xsl:value-of select="@impl"/></td>
			<td><xsl:value-of select="@instantiate"/></td>
		</tr>
		<xsl:for-each select="method">
			<xsl:sort select="@name"/>
			<xsl:apply-templates select="." />
		</xsl:for-each>
		<xsl:for-each select="field">
			<xsl:sort select="@name"/>
			<xsl:apply-templates select="." />
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="method">
		<tr>
			<td>&#160;&#160;&#160;<i><xsl:value-of select="@name"/>(...)</i></td>
			<td><xsl:value-of select="@ref"/></td>
			<td bgcolor="c8c8c8">&#160;</td>
			<td bgcolor="c8c8c8">&#160;</td>
			<td bgcolor="c8c8c8">&#160;</td>
		</tr>
	</xsl:template>
	<xsl:template match="field">
		<tr>
			<td>&#160;&#160;&#160;<i><xsl:value-of select="@name"/></i></td>
			<td><xsl:value-of select="@ref"/></td>
			<td bgcolor="c8c8c8">&#160;</td>
			<td bgcolor="c8c8c8">&#160;</td>
			<td bgcolor="c8c8c8">&#160;</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>